/*
  Copyright (C) 2012  Torsten Brischalle

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/
*/

#ifndef LUA_FUNC_SYS_H
#define LUA_FUNC_SYS_H

//-----------------------------------------------------------------------------

#include <lua.h>

#include <QThread>

//-----------------------------------------------------------------------------

class QThreadDelay : public QThread
{
public:

  static void Delay(unsigned long ms)
  {
    msleep(ms);
  }
};

//-----------------------------------------------------------------------------

int lua_prop_time_str_read(lua_State *lua);

int lua_prop_time_read(lua_State *lua);

int lua_func_delay(lua_State *lua);

//-----------------------------------------------------------------------------

#endif
