/*
  Copyright (C) 2012  Torsten Brischalle

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/
*/

#ifndef LUA_FUNC_BIT_H
#define LUA_FUNC_BIT_H

//-----------------------------------------------------------------------------

#include <lua.h>

//-----------------------------------------------------------------------------

int lua_func_bit_or(lua_State *lua);
int lua_func_bit_and(lua_State *lua);
int lua_func_bit_xor(lua_State *lua);
int lua_func_bit_nand(lua_State *lua);
int lua_func_bit_nor(lua_State *lua);
int lua_func_bit_xnor(lua_State *lua);

int lua_func_bit_not(lua_State *lua);

int lua_func_bit_get(lua_State *lua);
int lua_func_bit_set(lua_State *lua);
int lua_func_bit_clear(lua_State *lua);
int lua_func_bit_toggle(lua_State *lua);

int lua_func_bit_shr(lua_State *lua);
int lua_func_bit_shl(lua_State *lua);

int lua_func_bit_reverse(lua_State *lua);

//-----------------------------------------------------------------------------

#endif
